from decimal import Decimal
from pydantic import BaseModel
from typing import Optional, List
from datetime import date, datetime


class FilterTypeInit(BaseModel):
    IDUser: int
    GetType: int
    NeedClear: bool


class FilterListInit(BaseModel):
    IDUser: int = 1
    IDFilterType: int


class FilterSetInit(FilterListInit):
    IDFilterObject: str
    NeedClear: bool

class FilterTypeSerializer(BaseModel):
    ID: int
    Name: Optional[str] = None
    IDParent: int = None
    OrderField: int


class FilterListSerializer(BaseModel):
    ID: str
    Name: Optional[str] = None
    IsChecked: bool

class ChangingListInit(BaseModel):
    IDGetType: int
    IDRegion: int
